net.minecraft.client.renderer

## Class OpenGlHelper

- java.lang.Object
- - net.minecraft.client.renderer.OpenGlHelper

-     public class OpenGlHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `anisotropicFilteringMax`
    `static boolean` | `anisotropicFilteringSupported`
    `static int` | `defaultTexUnit`
    `static boolean` | `framebufferSupported`
    `static float` | `lastBrightnessX`
    `static float` | `lastBrightnessY`
    `static int` | `lightmapTexUnit`
    `static boolean` | `openGL21`
    `static boolean` | `shadersSupported`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenGlHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `glBlendFunc(int p_148821_0_, int p_148821_1_, int p_148821_2_, int p_148821_3_)`
    `static void` | `initializeTextures()`
    `static boolean` | `isFramebufferEnabled()`
    `static void` | `setActiveTexture(int par0)`
    `static void` | `setClientActiveTexture(int par0)`
    `static void` | `setLightmapTextureCoords(int par0, float par1, float par2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### openGL21

          public static boolean openGL21

    - #### defaultTexUnit

          public static int defaultTexUnit

    - #### lightmapTexUnit

          public static int lightmapTexUnit

    - #### anisotropicFilteringSupported

          public static boolean anisotropicFilteringSupported

    - #### anisotropicFilteringMax

          public static int anisotropicFilteringMax

    - #### framebufferSupported

          public static boolean framebufferSupported

    - #### shadersSupported

          public static boolean shadersSupported

    - #### lastBrightnessX

          public static float lastBrightnessX

    - #### lastBrightnessY

          public static float lastBrightnessY

  - ### Constructor Detail

    - #### OpenGlHelper

          public OpenGlHelper()

  - ### Method Detail

    - #### initializeTextures

          public static void initializeTextures()

    - #### setActiveTexture

          public static void setActiveTexture(int par0)

    - #### setClientActiveTexture

          public static void setClientActiveTexture(int par0)

    - #### setLightmapTextureCoords

          public static void setLightmapTextureCoords(int par0,
                                      float par1,
                                      float par2)

    - #### glBlendFunc

          public static void glBlendFunc(int p_148821_0_,
                         int p_148821_1_,
                         int p_148821_2_,
                         int p_148821_3_)

    - #### isFramebufferEnabled

          public static boolean isFramebufferEnabled()